import express, {Router, Request, Response} from 'express';
import {ObjectId} from 'mongodb';
import {collections} from '../services/database.service';
import Link from '../models/links';

export const linksRouter: Router = express.Router();

linksRouter.get('/', (req: Request, res: Response) => {
  try {
    res.send('Hello');
  } catch (error: unknown) {
    const err = error as Error;
    res.status(500).send(err.message);
  }
});

linksRouter.post('/', async (req: Request, res: Response) => {
  try {
    const newLink = req.body as Link;
    const result = await collections.links?.insertOne(newLink);
    if (result) {
      res
        .status(201)
        .send(`Successfully created a new link with id ${result.insertedId}`);
    } else {
      res.status(500).send('Failed to create a new link.');
    }
  } catch (err: unknown) {
    const error = err as Error;
    res.status(500).send(error.message);
  }
});
